wdttb: XWdtTb_Config Struct Reference

| wdttb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XWdtTb_Config Struct Reference
Wdttb_v4_5

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of the device. More...
UINTPTR | BaseAddr
| Base address of the device. More...
u32 | EnableWinWdt
| Flag for Window WDT enable. More...
u32 | MaxCountWidth
| Maximum width of first timer. More...
u32 | SstCountWidth
| Maximum width of Second Sequence Timer. More...
u32 | IsPl
| IsPl, 1= AXI Timebase ,0= WWDT. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

UINTPTR XWdtTb_Config::BaseAddr

Base address of the device.

Referenced by GWdtTbExample(), GWdtTbSelfTestExample(), WdtTbExample(), WdtTbIntrExample(), WdtTbSelfTestExample(), XWdtTb_AlwaysEnable(), XWdtTb_CfgInitialize(), XWdtTb_ClearLastEvent(), XWdtTb_ClearResetPending(), XWdtTb_DisableExtraProtection(), XWdtTb_DisableFailCounter(), XWdtTb_DisablePsm(), XWdtTb_DisableSst(), XWdtTb_EnableExtraProtection(), XWdtTb_EnableFailCounter(), XWdtTb_EnablePsm(), XWdtTb_EnableSst(), XWdtTb_GetByteCount(), XWdtTb_GetByteSegment(), XWdtTb_IntrClear(), XWdtTb_IsGenericWdtFWExpired(), XWdtTb_IsWdtExpired(), XWdtTb_ProgramWDTWidth(), XWdtTb_RestartWdt(), XWdtTb_SelfTest(), XWdtTb_SetByteCount(), XWdtTb_SetByteSegment(), and XWdtTb_SetWindowCount().

u16 XWdtTb_Config::DeviceId

Unique ID of the device.

Referenced by XWdtTb_CfgInitialize().

u32 XWdtTb_Config::EnableWinWdt

Flag for Window WDT enable.

Referenced by XWdtTb_CfgInitialize().

u32 XWdtTb_Config::IsPl

IsPl, 1= AXI Timebase ,0= WWDT.

Referenced by WdtTbSelfTestExample(), XWdtTb_CfgInitialize(), XWdtTb_IsWdtExpired(), XWdtTb_RestartWdt(), XWdtTb_SelfTest(), XWdtTb_Start(), and XWdtTb_Stop().

u32 XWdtTb_Config::MaxCountWidth

Maximum width of first timer.

Referenced by XWdtTb_CfgInitialize().

u32 XWdtTb_Config::SstCountWidth

Maximum width of Second Sequence Timer.

Referenced by XWdtTb_CfgInitialize().